#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 25. Graphical Environment Libraries

- Prev

  Grantlee-5.2.0

- Next

  GTK+-2.24.33

- Up
- Home

# Graphene-1.10.6

## Introduction to Graphene

The Graphene package provides a thin layer of types for graphics libraries.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://github.com/ebassi/graphene/releases/download/1.10.6/graphene-1.10.6.tar.xz

- Download MD5 sum: 390139e704772b915ff2b7cac56c24ae

- Download size: 328 KB

- Estimated disk space required: 16 MB

- Estimated build time: 0.1 SBU

### Graphene Dependencies

#### Required

GLib-2.70.4 and gobject-introspection-1.70.0

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/graphene

## Installation of Graphene

Install Graphene by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr --buildtype=release .. &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Dgtk_doc=true`: Use this switch if you have GTK-Doc-1.33.2 installed and wish to generate the API documentation.

## Contents

Installed Programs: None
Installed Libraries: libgraphene-1.0.so
Installed Directories: /usr/include/graphene-1.0, /usr/lib/graphene-1.0, /usr/{libexec,share}/installed-tests/graphene-1.0

### Short Descriptions

`libgraphene-1.0.so` | contains functions that provide a thin layer of types for graphics libraries

Last updated on

- Prev

  Grantlee-5.2.0

- Next

  GTK+-2.24.33

- Up
- Home